## p7zip 16.02+dfsg

=== CPP/7zip/CMAKE/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(p7zip)

SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin
    CACHE STRING "Where binaries and .dll files go" FORCE)
    

IF(HAVE_WCHAR_H)
  OPTION(HAVE_UNICODE_WCHAR "Enable Unicode Support" YES)
  MARK_AS_ADVANCED(HAVE_UNICODE_WCHAR)
ELSE(HAVE_WCHAR_H)
  SET(HAVE_UNICODE_WCHAR 0)
ENDIF(HAVE_WCHAR_H)

SET(HAVE_PTHREADS 0)
FIND_PACKAGE(Threads)
IF(WIN32 OR CMAKE_USE_PTHREADS_INIT)
  SET(HAVE_PTHREADS 1)
ENDIF(WIN32 OR CMAKE_USE_PTHREADS_INIT)

add_definitions(-DENV_HAVE_GCCVISIBILITYPATCH)

SET(CMAKE_CXX_FLAGS "-fvisibility=hidden -fvisibility-inlines-hidden")

add_subdirectory(7za)

add_subdirectory(7z_)

add_subdirectory(7zr)

add_subdirectory(Format7zFree  bin)

find_package(wxWidgets COMPONENTS core base adv)

if(wxWidgets_FOUND)

	add_subdirectory(7zG)

	add_subdirectory(7zFM)

else(wxWidgets_FOUND)
	message("Warning : wxWidgets not found")
endif(wxWidgets_FOUND)

=== CPP/7zip/CMAKE/7zFM/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -DLANG -DNEW_FOLDER_INTERFACE -DEXTERNAL_CODECS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -DBREAK_HANDLER -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_executable(7zFM_do_not_use

  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/Alloc.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Sha256.c"
  "../../../../C/Sort.c"
  "../../../../C/Threads.c"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilePathAutoRename.cpp"
  "../../../../CPP/7zip/Common/FileStreams.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/UI/Agent/Agent.cpp"
  "../../../../CPP/7zip/UI/Agent/AgentOut.cpp"
  "../../../../CPP/7zip/UI/Agent/AgentProxy.cpp"
  "../../../../CPP/7zip/UI/Agent/ArchiveFolder.cpp"
  "../../../../CPP/7zip/UI/Agent/ArchiveFolderOpen.cpp"
  "../../../../CPP/7zip/UI/Agent/ArchiveFolderOut.cpp"
  "../../../../CPP/7zip/UI/Agent/UpdateCallbackAgent.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveExtractCallback.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveName.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveOpenCallback.cpp"
  "../../../../CPP/7zip/UI/Common/CompressCall.cpp"
  "../../../../CPP/7zip/UI/Common/DefaultName.cpp"
  "../../../../CPP/7zip/UI/Common/EnumDirItems.cpp"
  "../../../../CPP/7zip/UI/Common/ExtractingFilePath.cpp"
  "../../../../CPP/7zip/UI/Common/HashCalc.cpp"
  "../../../../CPP/7zip/UI/Common/LoadCodecs.cpp"
  "../../../../CPP/7zip/UI/Common/OpenArchive.cpp"
  "../../../../CPP/7zip/UI/Common/PropIDUtils.cpp"
  "../../../../CPP/7zip/UI/Common/SetProperties.cpp"
  "../../../../CPP/7zip/UI/Common/SortUtils.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateAction.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateCallback.cpp"
  "../../../../CPP/7zip/UI/Common/UpdatePair.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateProduce.cpp"
  "../../../../CPP/7zip/UI/Common/WorkDir.cpp"
  "../../../../CPP/7zip/UI/Common/ZipRegistry.cpp"
  "../../../../CPP/7zip/UI/FileManager/App.cpp"
  "../../../../CPP/7zip/UI/FileManager/ClassDefs.cpp"
  "../../../../CPP/7zip/UI/FileManager/ComboDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/ComboDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/CopyDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/CopyDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/ExtractCallback.cpp"
  "../../../../CPP/7zip/UI/FileManager/FM.cpp"
  "../../../../CPP/7zip/UI/FileManager/FM_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/FSDrives.cpp"
  "../../../../CPP/7zip/UI/FileManager/FSFolder.cpp"
  "../../../../CPP/7zip/UI/FileManager/FSFolderCopy.cpp"
  "../../../../CPP/7zip/UI/FileManager/FileFolderPluginOpen.cpp"
  "../../../../CPP/7zip/UI/FileManager/FormatUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/LangUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/ListViewDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/ListViewDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/MessagesDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/MessagesDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/MyLoadMenu.cpp"
  "../../../../CPP/7zip/UI/FileManager/OpenCallback.cpp"
  "../../../../CPP/7zip/UI/FileManager/OverwriteDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/OverwriteDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/Panel.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelCopy.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelCrc.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelFolderChange.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelItemOpen.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelItems.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelListNotify.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelMenu.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelOperations.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelSelect.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelSort.cpp"
  "../../../../CPP/7zip/UI/FileManager/PanelSplitFile.cpp"
  "../../../../CPP/7zip/UI/FileManager/PasswordDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/PasswordDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgramLocation.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgressDialog2.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgressDialog2_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/PropertyName.cpp"
  "../../../../CPP/7zip/UI/FileManager/RegistryUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/RootFolder.cpp"
  "../../../../CPP/7zip/UI/FileManager/SplitDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/SplitDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/SplitUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/StringUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/SysIconUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/TextPairs.cpp"
  "../../../../CPP/7zip/UI/FileManager/UpdateCallback100.cpp"
  "../../../../CPP/7zip/UI/FileManager/ViewSettings.cpp"
  "../../../../CPP/7zip/UI/FileManager/wxFM.cpp"
  "../../../../CPP/7zip/UI/GUI/HashGUI.cpp"
  "../../../../CPP/7zip/UI/GUI/UpdateCallbackGUI2.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CrcReg.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/Lang.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/NewHandler.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/TextConfig.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Windows/Clipboard.cpp"
  "../../../../CPP/Windows/Control/Controls.cpp"
  "../../../../CPP/Windows/Control/Dialog.cpp"
  "../../../../CPP/Windows/Control/Window2.cpp"
  "../../../../CPP/Windows/DLL.cpp"
  "../../../../CPP/Windows/ErrorMsg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantConv.cpp"
  "../../../../CPP/Windows/Registry.cpp"
  "../../../../CPP/Windows/Synchronization.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/Windows/Window.cpp"
  "../../../../CPP/myWindows/wine_GetXXXDefaultLangID.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


IF(APPLE)
  add_definitions(-DENV_MACOSX  -D__WXMAC__)
ENDIF(APPLE)

find_package(wxWidgets COMPONENTS core base adv REQUIRED)

find_library(DL_LIB dl)

include( ${wxWidgets_USE_FILE} )

link_directories(${DL_LIB_PATH})

IF(APPLE)
   TARGET_LINK_LIBRARIES(7zFM_do_not_use ${COREFOUNDATION_LIBRARY} ${wxWidgets_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7zFM_do_not_use ${wxWidgets_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} dl)
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

=== CPP/7zip/CMAKE/7zG/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -DLANG -DEXTERNAL_CODECS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_executable(7zG

  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/Alloc.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Threads.c"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilePathAutoRename.cpp"
  "../../../../CPP/7zip/Common/FileStreams.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveCommandLine.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveExtractCallback.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveOpenCallback.cpp"
  "../../../../CPP/7zip/UI/Common/Bench.cpp"
  "../../../../CPP/7zip/UI/Common/DefaultName.cpp"
  "../../../../CPP/7zip/UI/Common/EnumDirItems.cpp"
  "../../../../CPP/7zip/UI/Common/Extract.cpp"
  "../../../../CPP/7zip/UI/Common/ExtractingFilePath.cpp"
  "../../../../CPP/7zip/UI/Common/HashCalc.cpp"
  "../../../../CPP/7zip/UI/Common/LoadCodecs.cpp"
  "../../../../CPP/7zip/UI/Common/OpenArchive.cpp"
  "../../../../CPP/7zip/UI/Common/PropIDUtils.cpp"
  "../../../../CPP/7zip/UI/Common/SetProperties.cpp"
  "../../../../CPP/7zip/UI/Common/SortUtils.cpp"
  "../../../../CPP/7zip/UI/Common/TempFiles.cpp"
  "../../../../CPP/7zip/UI/Common/Update.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateAction.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateCallback.cpp"
  "../../../../CPP/7zip/UI/Common/UpdatePair.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateProduce.cpp"
  "../../../../CPP/7zip/UI/Common/WorkDir.cpp"
  "../../../../CPP/7zip/UI/Common/ZipRegistry.cpp"
  "../../../../CPP/7zip/UI/Explorer/MyMessages.cpp"
  "../../../../CPP/7zip/UI/FileManager/ExtractCallback.cpp"
  "../../../../CPP/7zip/UI/FileManager/FormatUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/LangUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/OverwriteDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/OverwriteDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/PasswordDialog.cpp"
  "../../../../CPP/7zip/UI/FileManager/PasswordDialog_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgramLocation.cpp"
  "../../../../CPP/7zip/UI/FileManager/PropertyName.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgressDialog2.cpp"
  "../../../../CPP/7zip/UI/FileManager/ProgressDialog2_rc.cpp"
  "../../../../CPP/7zip/UI/FileManager/SplitUtils.cpp"
  "../../../../CPP/7zip/UI/FileManager/StringUtils.cpp"
  "../../../../CPP/7zip/UI/GUI/BenchmarkDialog.cpp"
  "../../../../CPP/7zip/UI/GUI/BenchmarkDialog_rc.cpp"
  "../../../../CPP/7zip/UI/GUI/CompressDialog.cpp"
  "../../../../CPP/7zip/UI/GUI/CompressDialog_rc.cpp"
  "../../../../CPP/7zip/UI/GUI/ExtractDialog.cpp"
  "../../../../CPP/7zip/UI/GUI/ExtractDialog_rc.cpp"
  "../../../../CPP/7zip/UI/GUI/ExtractGUI.cpp"
  "../../../../CPP/7zip/UI/GUI/GUI.cpp"
  "../../../../CPP/7zip/UI/GUI/HashGUI.cpp"
  "../../../../CPP/7zip/UI/GUI/UpdateCallbackGUI.cpp"
  "../../../../CPP/7zip/UI/GUI/UpdateCallbackGUI2.cpp"
  "../../../../CPP/7zip/UI/GUI/UpdateGUI.cpp"
  "../../../../CPP/7zip/UI/GUI/wxGUI.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CommandLineParser.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/Lang.cpp"
  "../../../../CPP/Common/ListFileUtils.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/NewHandler.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Windows/Control/Controls.cpp"
  "../../../../CPP/Windows/Control/Dialog.cpp"
  "../../../../CPP/Windows/DLL.cpp"
  "../../../../CPP/Windows/ErrorMsg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantConv.cpp"
  "../../../../CPP/Windows/Registry.cpp"
  "../../../../CPP/Windows/Synchronization.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/Windows/Window.cpp"
  "../../../../CPP/myWindows/wine_GetXXXDefaultLangID.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


IF(APPLE)
  add_definitions(-DENV_MACOSX  -D__WXMAC__)
ENDIF(APPLE)

find_package(wxWidgets COMPONENTS core base adv REQUIRED)

find_library(DL_LIB dl)

include( ${wxWidgets_USE_FILE} )

link_directories(${DL_LIB_PATH})

IF(APPLE)
   TARGET_LINK_LIBRARIES(7zG ${COREFOUNDATION_LIBRARY} ${wxWidgets_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7zG ${wxWidgets_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} dl)
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

=== CPP/7zip/CMAKE/7z_/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -DEXTERNAL_CODECS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -DBREAK_HANDLER -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_executable(7z_

  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/Alloc.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Threads.c"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilePathAutoRename.cpp"
  "../../../../CPP/7zip/Common/FileStreams.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveCommandLine.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveExtractCallback.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveOpenCallback.cpp"
  "../../../../CPP/7zip/UI/Common/Bench.cpp"
  "../../../../CPP/7zip/UI/Common/DefaultName.cpp"
  "../../../../CPP/7zip/UI/Common/EnumDirItems.cpp"
  "../../../../CPP/7zip/UI/Common/Extract.cpp"
  "../../../../CPP/7zip/UI/Common/ExtractingFilePath.cpp"
  "../../../../CPP/7zip/UI/Common/HashCalc.cpp"
  "../../../../CPP/7zip/UI/Common/LoadCodecs.cpp"
  "../../../../CPP/7zip/UI/Common/OpenArchive.cpp"
  "../../../../CPP/7zip/UI/Common/PropIDUtils.cpp"
  "../../../../CPP/7zip/UI/Common/SetProperties.cpp"
  "../../../../CPP/7zip/UI/Common/SortUtils.cpp"
  "../../../../CPP/7zip/UI/Common/TempFiles.cpp"
  "../../../../CPP/7zip/UI/Common/Update.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateAction.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateCallback.cpp"
  "../../../../CPP/7zip/UI/Common/UpdatePair.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateProduce.cpp"
  "../../../../CPP/7zip/UI/Console/BenchCon.cpp"
  "../../../../CPP/7zip/UI/Console/ConsoleClose.cpp"
  "../../../../CPP/7zip/UI/Console/ExtractCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/HashCon.cpp"
  "../../../../CPP/7zip/UI/Console/List.cpp"
  "../../../../CPP/7zip/UI/Console/Main.cpp"
  "../../../../CPP/7zip/UI/Console/MainAr.cpp"
  "../../../../CPP/7zip/UI/Console/OpenCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/PercentPrinter.cpp"
  "../../../../CPP/7zip/UI/Console/UpdateCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/UserInputUtils.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CommandLineParser.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/ListFileUtils.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/NewHandler.cpp"
  "../../../../CPP/Common/StdInStream.cpp"
  "../../../../CPP/Common/StdOutStream.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Windows/DLL.cpp"
  "../../../../CPP/Windows/ErrorMsg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantConv.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/myWindows/myAddExeFlag.cpp"
  "../../../../CPP/myWindows/mySplitCommandLine.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


find_library(DL_LIB dl)

link_directories(${DL_LIB_PATH})

IF(APPLE)
   TARGET_LINK_LIBRARIES(7z_ ${COREFOUNDATION_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7z_ ${CMAKE_THREAD_LIBS_INIT} dl)
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

=== CPP/7zip/CMAKE/7za/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -DBREAK_HANDLER -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_executable(7za

  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/7zStream.c"
  "../../../../C/Aes.c"
  "../../../../C/Alloc.c"
  "../../../../C/Bcj2.c"
  "../../../../C/Bcj2Enc.c"
  "../../../../C/Bra.c"
  "../../../../C/Bra86.c"
  "../../../../C/BraIA64.c"
  "../../../../C/BwtSort.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Delta.c"
  "../../../../C/HuffEnc.c"
  "../../../../C/LzFind.c"
  "../../../../C/LzFindMt.c"
  "../../../../C/Lzma2Dec.c"
  "../../../../C/Lzma2Enc.c"
  "../../../../C/LzmaDec.c"
  "../../../../C/LzmaEnc.c"
  "../../../../C/MtCoder.c"
  "../../../../C/Ppmd7.c"
  "../../../../C/Ppmd7Dec.c"
  "../../../../C/Ppmd7Enc.c"
  "../../../../C/Ppmd8.c"
  "../../../../C/Ppmd8Dec.c"
  "../../../../C/Ppmd8Enc.c"
  "../../../../C/Sha1.c"
  "../../../../C/Sha256.c"
  "../../../../C/Sort.c"
  "../../../../C/Threads.c"
  "../../../../C/Xz.c"
  "../../../../C/XzCrc64.c"
  "../../../../C/XzCrc64Opt.c"
  "../../../../C/XzDec.c"
  "../../../../C/XzEnc.c"
  "../../../../C/XzIn.c"
  "../../../../CPP/7zip/Archive/7z/7zCompressionMode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zDecode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zEncode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zExtract.cpp"
  "../../../../CPP/7zip/Archive/7z/7zFolderInStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandler.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHeader.cpp"
  "../../../../CPP/7zip/Archive/7z/7zIn.cpp"
  "../../../../CPP/7zip/Archive/7z/7zOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zProperties.cpp"
  "../../../../CPP/7zip/Archive/7z/7zRegister.cpp"
  "../../../../CPP/7zip/Archive/7z/7zSpecStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zUpdate.cpp"
  "../../../../CPP/7zip/Archive/Bz2Handler.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabBlockInStream.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabHandler.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabHeader.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabIn.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabRegister.cpp"
  "../../../../CPP/7zip/Archive/Common/CoderMixer2.cpp"
  "../../../../CPP/7zip/Archive/Common/DummyOutStream.cpp"
  "../../../../CPP/7zip/Archive/Common/FindSignature.cpp"
  "../../../../CPP/7zip/Archive/Common/HandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Common/InStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/ItemNameUtils.cpp"
  "../../../../CPP/7zip/Archive/Common/MultiStream.cpp"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/ParseProperties.cpp"
  "../../../../CPP/7zip/Archive/DeflateProps.cpp"
  "../../../../CPP/7zip/Archive/GzHandler.cpp"
  "../../../../CPP/7zip/Archive/LzmaHandler.cpp"
  "../../../../CPP/7zip/Archive/PpmdHandler.cpp"
  "../../../../CPP/7zip/Archive/SplitHandler.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHandler.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHeader.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarIn.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarOut.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarRegister.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarUpdate.cpp"
  "../../../../CPP/7zip/Archive/XzHandler.cpp"
  "../../../../CPP/7zip/Archive/ZHandler.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipAddCommon.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipHandler.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipIn.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipItem.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipOut.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipRegister.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipUpdate.cpp"
  "../../../../CPP/7zip/Common/CWrappers.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilePathAutoRename.cpp"
  "../../../../CPP/7zip/Common/FileStreams.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/InBuffer.cpp"
  "../../../../CPP/7zip/Common/InOutTempBuffer.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MemBlocks.cpp"
  "../../../../CPP/7zip/Common/MethodId.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/OffsetStream.cpp"
  "../../../../CPP/7zip/Common/OutBuffer.cpp"
  "../../../../CPP/7zip/Common/OutMemStream.cpp"
  "../../../../CPP/7zip/Common/ProgressMt.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamBinder.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Common/VirtThread.cpp"
  "../../../../CPP/7zip/Compress/BZip2Crc.cpp"
  "../../../../CPP/7zip/Compress/BZip2Decoder.cpp"
  "../../../../CPP/7zip/Compress/BZip2Encoder.cpp"
  "../../../../CPP/7zip/Compress/BZip2Register.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Coder.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Register.cpp"
  "../../../../CPP/7zip/Compress/BcjCoder.cpp"
  "../../../../CPP/7zip/Compress/BcjRegister.cpp"
  "../../../../CPP/7zip/Compress/BitlDecoder.cpp"
  "../../../../CPP/7zip/Compress/BranchMisc.cpp"
  "../../../../CPP/7zip/Compress/BranchRegister.cpp"
  "../../../../CPP/7zip/Compress/ByteSwap.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/Compress/CopyRegister.cpp"
  "../../../../CPP/7zip/Compress/Deflate64Register.cpp"
  "../../../../CPP/7zip/Compress/DeflateDecoder.cpp"
  "../../../../CPP/7zip/Compress/DeflateEncoder.cpp"
  "../../../../CPP/7zip/Compress/DeflateRegister.cpp"
  "../../../../CPP/7zip/Compress/DeltaFilter.cpp"
  "../../../../CPP/7zip/Compress/ImplodeDecoder.cpp"
  "../../../../CPP/7zip/Compress/ImplodeHuffmanDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzOutWindow.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Decoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Encoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Register.cpp"
  "../../../../CPP/7zip/Compress/LzmaDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaEncoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaRegister.cpp"
  "../../../../CPP/7zip/Compress/LzxDecoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdDecoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdEncoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdRegister.cpp"
  "../../../../CPP/7zip/Compress/PpmdZip.cpp"
  "../../../../CPP/7zip/Compress/QuantumDecoder.cpp"
  "../../../../CPP/7zip/Compress/ShrinkDecoder.cpp"
  "../../../../CPP/7zip/Compress/ZDecoder.cpp"
  "../../../../CPP/7zip/Crypto/7zAes.cpp"
  "../../../../CPP/7zip/Crypto/7zAesRegister.cpp"
  "../../../../CPP/7zip/Crypto/HmacSha1.cpp"
  "../../../../CPP/7zip/Crypto/MyAes.cpp"
  "../../../../CPP/7zip/Crypto/MyAesReg.cpp"
  "../../../../CPP/7zip/Crypto/Pbkdf2HmacSha1.cpp"
  "../../../../CPP/7zip/Crypto/RandGen.cpp"
  "../../../../CPP/7zip/Crypto/WzAes.cpp"
  "../../../../CPP/7zip/Crypto/ZipCrypto.cpp"
  "../../../../CPP/7zip/Crypto/ZipStrong.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveCommandLine.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveExtractCallback.cpp"
  "../../../../CPP/7zip/UI/Common/ArchiveOpenCallback.cpp"
  "../../../../CPP/7zip/UI/Common/Bench.cpp"
  "../../../../CPP/7zip/UI/Common/DefaultName.cpp"
  "../../../../CPP/7zip/UI/Common/EnumDirItems.cpp"
  "../../../../CPP/7zip/UI/Common/Extract.cpp"
  "../../../../CPP/7zip/UI/Common/ExtractingFilePath.cpp"
  "../../../../CPP/7zip/UI/Common/HashCalc.cpp"
  "../../../../CPP/7zip/UI/Common/LoadCodecs.cpp"
  "../../../../CPP/7zip/UI/Common/OpenArchive.cpp"
  "../../../../CPP/7zip/UI/Common/PropIDUtils.cpp"
  "../../../../CPP/7zip/UI/Common/SetProperties.cpp"
  "../../../../CPP/7zip/UI/Common/SortUtils.cpp"
  "../../../../CPP/7zip/UI/Common/TempFiles.cpp"
  "../../../../CPP/7zip/UI/Common/Update.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateAction.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateCallback.cpp"
  "../../../../CPP/7zip/UI/Common/UpdatePair.cpp"
  "../../../../CPP/7zip/UI/Common/UpdateProduce.cpp"
  "../../../../CPP/7zip/UI/Console/BenchCon.cpp"
  "../../../../CPP/7zip/UI/Console/ConsoleClose.cpp"
  "../../../../CPP/7zip/UI/Console/ExtractCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/HashCon.cpp"
  "../../../../CPP/7zip/UI/Console/List.cpp"
  "../../../../CPP/7zip/UI/Console/Main.cpp"
  "../../../../CPP/7zip/UI/Console/MainAr.cpp"
  "../../../../CPP/7zip/UI/Console/OpenCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/PercentPrinter.cpp"
  "../../../../CPP/7zip/UI/Console/UpdateCallbackConsole.cpp"
  "../../../../CPP/7zip/UI/Console/UserInputUtils.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CommandLineParser.cpp"
  "../../../../CPP/Common/CrcReg.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/ListFileUtils.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/Sha1Reg.cpp"
  "../../../../CPP/Common/Sha256Reg.cpp"
  "../../../../CPP/Common/StdInStream.cpp"
  "../../../../CPP/Common/StdOutStream.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Common/XzCrc64Reg.cpp"
  "../../../../CPP/Windows/ErrorMsg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantConv.cpp"
  "../../../../CPP/Windows/Synchronization.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/myWindows/myAddExeFlag.cpp"
  "../../../../CPP/myWindows/mySplitCommandLine.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


IF(APPLE)
   TARGET_LINK_LIBRARIES(7za ${COREFOUNDATION_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7za ${CMAKE_THREAD_LIBS_INIT} dl)
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

=== CPP/7zip/CMAKE/Format7zFree/CMakeLists.txt ===


# WARNING : automatically generated by utils/generate.py
cmake_minimum_required(VERSION 2.8)

include_directories(
  "../../../myWindows"
  "../../../"
  "../../../include_windows"
)

add_definitions( -DEXTERNAL_CODECS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT -DENV_UNIX -DBREAK_HANDLER -DUNICODE -D_UNICODE -DUNIX_USE_WIN_FILE)

IF(APPLE)
  add_definitions(-DENV_MACOSX)
  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation )
ENDIF(APPLE)

add_library(7z MODULE

  "../../../../C/7zBuf2.c"
  "../../../../C/7zCrc.c"
  "../../../../C/7zCrcOpt.c"
  "../../../../C/7zStream.c"
  "../../../../C/Aes.c"
  "../../../../C/Alloc.c"
  "../../../../C/Bcj2.c"
  "../../../../C/Bcj2Enc.c"
  "../../../../C/Blake2s.c"
  "../../../../C/Bra.c"
  "../../../../C/Bra86.c"
  "../../../../C/BraIA64.c"
  "../../../../C/BwtSort.c"
  "../../../../C/CpuArch.c"
  "../../../../C/Delta.c"
  "../../../../C/HuffEnc.c"
  "../../../../C/LzFind.c"
  "../../../../C/LzFindMt.c"
  "../../../../C/Lzma2Dec.c"
  "../../../../C/Lzma2Enc.c"
  "../../../../C/LzmaDec.c"
  "../../../../C/LzmaEnc.c"
  "../../../../C/MtCoder.c"
  "../../../../C/Ppmd7.c"
  "../../../../C/Ppmd7Dec.c"
  "../../../../C/Ppmd7Enc.c"
  "../../../../C/Ppmd8.c"
  "../../../../C/Ppmd8Dec.c"
  "../../../../C/Ppmd8Enc.c"
  "../../../../C/Sha1.c"
  "../../../../C/Sha256.c"
  "../../../../C/Sort.c"
  "../../../../C/Threads.c"
  "../../../../C/Xz.c"
  "../../../../C/XzCrc64.c"
  "../../../../C/XzCrc64Opt.c"
  "../../../../C/XzDec.c"
  "../../../../C/XzEnc.c"
  "../../../../C/XzIn.c"
  "../../../../CPP/7zip/Archive/7z/7zCompressionMode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zDecode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zEncode.cpp"
  "../../../../CPP/7zip/Archive/7z/7zExtract.cpp"
  "../../../../CPP/7zip/Archive/7z/7zFolderInStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandler.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zHeader.cpp"
  "../../../../CPP/7zip/Archive/7z/7zIn.cpp"
  "../../../../CPP/7zip/Archive/7z/7zOut.cpp"
  "../../../../CPP/7zip/Archive/7z/7zProperties.cpp"
  "../../../../CPP/7zip/Archive/7z/7zRegister.cpp"
  "../../../../CPP/7zip/Archive/7z/7zSpecStream.cpp"
  "../../../../CPP/7zip/Archive/7z/7zUpdate.cpp"
  "../../../../CPP/7zip/Archive/ApmHandler.cpp"
  "../../../../CPP/7zip/Archive/ArHandler.cpp"
  "../../../../CPP/7zip/Archive/ArchiveExports.cpp"
  "../../../../CPP/7zip/Archive/ArjHandler.cpp"
  "../../../../CPP/7zip/Archive/Bz2Handler.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabBlockInStream.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabHandler.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabHeader.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabIn.cpp"
  "../../../../CPP/7zip/Archive/Cab/CabRegister.cpp"
  "../../../../CPP/7zip/Archive/Chm/ChmHandler.cpp"
  "../../../../CPP/7zip/Archive/Chm/ChmIn.cpp"
  "../../../../CPP/7zip/Archive/ComHandler.cpp"
  "../../../../CPP/7zip/Archive/Common/CoderMixer2.cpp"
  "../../../../CPP/7zip/Archive/Common/DummyOutStream.cpp"
  "../../../../CPP/7zip/Archive/Common/FindSignature.cpp"
  "../../../../CPP/7zip/Archive/Common/HandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Common/InStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/ItemNameUtils.cpp"
  "../../../../CPP/7zip/Archive/Common/MultiStream.cpp"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithCRC.cpp"
  "../../../../CPP/7zip/Archive/Common/OutStreamWithSha1.cpp"
  "../../../../CPP/7zip/Archive/Common/ParseProperties.cpp"
  "../../../../CPP/7zip/Archive/CpioHandler.cpp"
  "../../../../CPP/7zip/Archive/CramfsHandler.cpp"
  "../../../../CPP/7zip/Archive/DeflateProps.cpp"
  "../../../../CPP/7zip/Archive/DllExports2.cpp"
  "../../../../CPP/7zip/Archive/DmgHandler.cpp"
  "../../../../CPP/7zip/Archive/ElfHandler.cpp"
  "../../../../CPP/7zip/Archive/ExtHandler.cpp"
  "../../../../CPP/7zip/Archive/FatHandler.cpp"
  "../../../../CPP/7zip/Archive/FlvHandler.cpp"
  "../../../../CPP/7zip/Archive/GzHandler.cpp"
  "../../../../CPP/7zip/Archive/GptHandler.cpp"
  "../../../../CPP/7zip/Archive/HandlerCont.cpp"
  "../../../../CPP/7zip/Archive/HfsHandler.cpp"
  "../../../../CPP/7zip/Archive/IhexHandler.cpp"
  "../../../../CPP/7zip/Archive/Iso/IsoHandler.cpp"
  "../../../../CPP/7zip/Archive/Iso/IsoHeader.cpp"
  "../../../../CPP/7zip/Archive/Iso/IsoIn.cpp"
  "../../../../CPP/7zip/Archive/Iso/IsoRegister.cpp"
  "../../../../CPP/7zip/Archive/LzhHandler.cpp"
  "../../../../CPP/7zip/Archive/LzmaHandler.cpp"
  "../../../../CPP/7zip/Archive/MachoHandler.cpp"
  "../../../../CPP/7zip/Archive/MbrHandler.cpp"
  "../../../../CPP/7zip/Archive/MslzHandler.cpp"
  "../../../../CPP/7zip/Archive/MubHandler.cpp"
  "../../../../CPP/7zip/Archive/Nsis/NsisDecode.cpp"
  "../../../../CPP/7zip/Archive/Nsis/NsisHandler.cpp"
  "../../../../CPP/7zip/Archive/Nsis/NsisIn.cpp"
  "../../../../CPP/7zip/Archive/Nsis/NsisRegister.cpp"
  "../../../../CPP/7zip/Archive/NtfsHandler.cpp"
  "../../../../CPP/7zip/Archive/PeHandler.cpp"
  "../../../../CPP/7zip/Archive/PpmdHandler.cpp"
  "../../../../CPP/7zip/Archive/QcowHandler.cpp"
  "../../../../CPP/7zip/Archive/Rar/RarHandler.cpp"
  "../../../../CPP/7zip/Archive/Rar/Rar5Handler.cpp"
  "../../../../CPP/7zip/Archive/RpmHandler.cpp"
  "../../../../CPP/7zip/Archive/SplitHandler.cpp"
  "../../../../CPP/7zip/Archive/SquashfsHandler.cpp"
  "../../../../CPP/7zip/Archive/SwfHandler.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHandler.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarHeader.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarIn.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarOut.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarRegister.cpp"
  "../../../../CPP/7zip/Archive/Tar/TarUpdate.cpp"
  "../../../../CPP/7zip/Archive/Udf/UdfHandler.cpp"
  "../../../../CPP/7zip/Archive/Udf/UdfIn.cpp"
  "../../../../CPP/7zip/Archive/UefiHandler.cpp"
  "../../../../CPP/7zip/Archive/VdiHandler.cpp"
  "../../../../CPP/7zip/Archive/VhdHandler.cpp"
  "../../../../CPP/7zip/Archive/VmdkHandler.cpp"
  "../../../../CPP/7zip/Archive/Wim/WimHandler.cpp"
  "../../../../CPP/7zip/Archive/Wim/WimHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Wim/WimIn.cpp"
  "../../../../CPP/7zip/Archive/Wim/WimRegister.cpp"
  "../../../../CPP/7zip/Archive/XarHandler.cpp"
  "../../../../CPP/7zip/Archive/XzHandler.cpp"
  "../../../../CPP/7zip/Archive/ZHandler.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipAddCommon.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipHandler.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipHandlerOut.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipIn.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipItem.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipOut.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipRegister.cpp"
  "../../../../CPP/7zip/Archive/Zip/ZipUpdate.cpp"
  "../../../../CPP/7zip/Common/CWrappers.cpp"
  "../../../../CPP/7zip/Common/CreateCoder.cpp"
  "../../../../CPP/7zip/Common/FilterCoder.cpp"
  "../../../../CPP/7zip/Common/InBuffer.cpp"
  "../../../../CPP/7zip/Common/InOutTempBuffer.cpp"
  "../../../../CPP/7zip/Common/LimitedStreams.cpp"
  "../../../../CPP/7zip/Common/MemBlocks.cpp"
  "../../../../CPP/7zip/Common/MethodId.cpp"
  "../../../../CPP/7zip/Common/MethodProps.cpp"
  "../../../../CPP/7zip/Common/OffsetStream.cpp"
  "../../../../CPP/7zip/Common/OutBuffer.cpp"
  "../../../../CPP/7zip/Common/OutMemStream.cpp"
  "../../../../CPP/7zip/Common/ProgressMt.cpp"
  "../../../../CPP/7zip/Common/ProgressUtils.cpp"
  "../../../../CPP/7zip/Common/PropId.cpp"
  "../../../../CPP/7zip/Common/StreamBinder.cpp"
  "../../../../CPP/7zip/Common/StreamObjects.cpp"
  "../../../../CPP/7zip/Common/StreamUtils.cpp"
  "../../../../CPP/7zip/Common/UniqBlocks.cpp"
  "../../../../CPP/7zip/Common/VirtThread.cpp"
  "../../../../CPP/7zip/Compress/BZip2Crc.cpp"
  "../../../../CPP/7zip/Compress/BZip2Decoder.cpp"
  "../../../../CPP/7zip/Compress/BZip2Encoder.cpp"
  "../../../../CPP/7zip/Compress/BZip2Register.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Coder.cpp"
  "../../../../CPP/7zip/Compress/Bcj2Register.cpp"
  "../../../../CPP/7zip/Compress/BcjCoder.cpp"
  "../../../../CPP/7zip/Compress/BcjRegister.cpp"
  "../../../../CPP/7zip/Compress/BitlDecoder.cpp"
  "../../../../CPP/7zip/Compress/BranchMisc.cpp"
  "../../../../CPP/7zip/Compress/BranchRegister.cpp"
  "../../../../CPP/7zip/Compress/ByteSwap.cpp"
  "../../../../CPP/7zip/Compress/CodecExports.cpp"
  "../../../../CPP/7zip/Compress/CopyCoder.cpp"
  "../../../../CPP/7zip/Compress/CopyRegister.cpp"
  "../../../../CPP/7zip/Compress/Deflate64Register.cpp"
  "../../../../CPP/7zip/Compress/DeflateDecoder.cpp"
  "../../../../CPP/7zip/Compress/DeflateEncoder.cpp"
  "../../../../CPP/7zip/Compress/DeflateRegister.cpp"
  "../../../../CPP/7zip/Compress/DeltaFilter.cpp"
  "../../../../CPP/7zip/Compress/ImplodeDecoder.cpp"
  "../../../../CPP/7zip/Compress/ImplodeHuffmanDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzOutWindow.cpp"
  "../../../../CPP/7zip/Compress/LzhDecoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Decoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Encoder.cpp"
  "../../../../CPP/7zip/Compress/Lzma2Register.cpp"
  "../../../../CPP/7zip/Compress/LzmaDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaEncoder.cpp"
  "../../../../CPP/7zip/Compress/LzmaRegister.cpp"
  "../../../../CPP/7zip/Compress/LzmsDecoder.cpp"
  "../../../../CPP/7zip/Compress/LzxDecoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdDecoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdEncoder.cpp"
  "../../../../CPP/7zip/Compress/PpmdRegister.cpp"
  "../../../../CPP/7zip/Compress/PpmdZip.cpp"
  "../../../../CPP/7zip/Compress/QuantumDecoder.cpp"
  "../../../../CPP/7zip/Compress/ShrinkDecoder.cpp"
  "../../../../CPP/7zip/Compress/ZDecoder.cpp"
  "../../../../CPP/7zip/Compress/XpressDecoder.cpp"
  "../../../../CPP/7zip/Compress/ZlibDecoder.cpp"
  "../../../../CPP/7zip/Compress/ZlibEncoder.cpp"
  "../../../../CPP/7zip/Crypto/7zAes.cpp"
  "../../../../CPP/7zip/Crypto/7zAesRegister.cpp"
  "../../../../CPP/7zip/Crypto/HmacSha1.cpp"
  "../../../../CPP/7zip/Crypto/HmacSha256.cpp"
  "../../../../CPP/7zip/Crypto/MyAes.cpp"
  "../../../../CPP/7zip/Crypto/MyAesReg.cpp"
  "../../../../CPP/7zip/Crypto/Pbkdf2HmacSha1.cpp"
  "../../../../CPP/7zip/Crypto/RandGen.cpp"
  "../../../../CPP/7zip/Crypto/Rar20Crypto.cpp"
  "../../../../CPP/7zip/Crypto/Rar5Aes.cpp"
  "../../../../CPP/7zip/Crypto/RarAes.cpp"
  "../../../../CPP/7zip/Crypto/WzAes.cpp"
  "../../../../CPP/7zip/Crypto/ZipCrypto.cpp"
  "../../../../CPP/7zip/Crypto/ZipStrong.cpp"
  "../../../../CPP/Common/CRC.cpp"
  "../../../../CPP/Common/CrcReg.cpp"
  "../../../../CPP/Common/DynLimBuf.cpp"
  "../../../../CPP/Common/IntToString.cpp"
  "../../../../CPP/Common/MyMap.cpp"
  "../../../../CPP/Common/MyString.cpp"
  "../../../../CPP/Common/MyVector.cpp"
  "../../../../CPP/Common/MyWindows.cpp"
  "../../../../CPP/Common/MyXml.cpp"
  "../../../../CPP/Common/NewHandler.cpp"
  "../../../../CPP/Common/Sha1Reg.cpp"
  "../../../../CPP/Common/Sha256Reg.cpp"
  "../../../../CPP/Common/StringConvert.cpp"
  "../../../../CPP/Common/StringToInt.cpp"
  "../../../../CPP/Common/UTFConvert.cpp"
  "../../../../CPP/Common/Wildcard.cpp"
  "../../../../CPP/Common/XzCrc64Reg.cpp"
  "../../../../CPP/Windows/FileDir.cpp"
  "../../../../CPP/Windows/FileFind.cpp"
  "../../../../CPP/Windows/FileIO.cpp"
  "../../../../CPP/Windows/FileName.cpp"
  "../../../../CPP/Windows/PropVariant.cpp"
  "../../../../CPP/Windows/PropVariantUtils.cpp"
  "../../../../CPP/Windows/Synchronization.cpp"
  "../../../../CPP/Windows/System.cpp"
  "../../../../CPP/Windows/TimeUtils.cpp"
  "../../../../CPP/myWindows/wine_date_and_time.cpp"
)


SET_TARGET_PROPERTIES(7z PROPERTIES PREFIX "")

IF(APPLE)
   TARGET_LINK_LIBRARIES(7z ${COREFOUNDATION_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
ELSE(APPLE)
  IF(HAVE_PTHREADS)
   TARGET_LINK_LIBRARIES(7z ${CMAKE_THREAD_LIBS_INIT})
  ENDIF(HAVE_PTHREADS)
ENDIF(APPLE)

=== CPP/7zip/Compress/Lzham/lzhamcomp/CMakeLists.txt ===
PROJECT(lzhamcomp)
cmake_minimum_required(VERSION 2.8)
option(BUILD_X64 "build 64-bit" TRUE)

message("Initial BUILD_X64=${BUILD_X64}")
message("Initial CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

if( NOT CMAKE_BUILD_TYPE )
  set( CMAKE_BUILD_TYPE Release )
endif( NOT CMAKE_BUILD_TYPE )

message( ${PROJECT_NAME} " build type: " ${CMAKE_BUILD_TYPE} )

if (BUILD_X64)
	message("Building 64-bit")
else()
	message("Building 32-bit")
endif(BUILD_X64)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -Wall -Wextra")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -Wall -Wextra")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -Wextra -O3 -fomit-frame-pointer -fexpensive-optimizations")
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -Wextra")

set(SRC_LIST 
	lzham_lzbase.cpp
	lzham_lzbase.h
	lzham_lzcomp.cpp
	lzham_lzcomp_internal.cpp
	lzham_lzcomp_internal.h
	lzham_lzcomp_state.cpp
	lzham_match_accel.cpp
	lzham_match_accel.h
	lzham_null_threading.h
	lzham_pthreads_threading.cpp
	lzham_pthreads_threading.h
	lzham_threading.h)

if (WIN32)
  list (APPEND SRC_LIST lzham_win32_threading.cpp)
endif ()

# -fno-strict-aliasing is *required* to compile LZHAM
set(GCC_COMPILE_FLAGS "-fno-strict-aliasing -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64")

if (NOT BUILD_X64)
	set(GCC_COMPILE_FLAGS "${GCC_COMPILE_FLAGS} -m32")
endif()

set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} ${GCC_LINK_FLAGS}")

set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${GCC_COMPILE_FLAGS}")
set(CMAKE_C_FLAGS_RELEASE  "${CMAKE_C_FLAGS_RELEASE} ${GCC_COMPILE_FLAGS} -DNDEBUG")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${GCC_COMPILE_FLAGS} -D_DEBUG")

set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COMPILE_FLAGS}")
set(CMAKE_CXX_FLAGS_RELEASE  "${CMAKE_CXX_FLAGS_RELEASE} ${GCC_COMPILE_FLAGS} -DNDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${GCC_COMPILE_FLAGS} -D_DEBUG")

include_directories(
	${PROJECT_SOURCE_DIR}/../lzhamdecomp 
	${PROJECT_SOURCE_DIR}/../include)

#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/bin_linux)

add_library(${PROJECT_NAME} ${SRC_LIST})
target_link_libraries(${PROJECT_NAME} lzhamdecomp pthread)
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} RUNTIME DESTINATION bin)

=== CPP/7zip/Compress/Lzham/lzhamdecomp/CMakeLists.txt ===
PROJECT(lzhamdecomp)
cmake_minimum_required(VERSION 2.8)
option(BUILD_X64 "build 64-bit" TRUE)

message("Initial BUILD_X64=${BUILD_X64}")
message("Initial CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

if( NOT CMAKE_BUILD_TYPE )
  set( CMAKE_BUILD_TYPE Release )
endif( NOT CMAKE_BUILD_TYPE )

message( ${PROJECT_NAME} " build type: " ${CMAKE_BUILD_TYPE} )

if (BUILD_X64)
	message("Building 64-bit")
else()
	message("Building 32-bit")
endif(BUILD_X64)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -Wall -Wextra")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -Wall -Wextra")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -Wextra -O3 -fomit-frame-pointer -fexpensive-optimizations")
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -Wextra")

set(SRC_LIST 
    ../include/lzham_dynamic_lib.h
    ../include/lzham_static_lib.h
    ../include/lzham.h
    ../include/lzham_exports.inc
    ../include/zlib.h
    lzham_assert.cpp       
    lzham_assert.h         
    lzham_checksum.cpp     
    lzham_checksum.h       
    lzham_config.h         
    lzham_core.h           
    lzham_decomp.h
    lzham_helpers.h        
    lzham_huffman_codes.cpp
    lzham_huffman_codes.h  
    lzham_lzdecompbase.cpp 
    lzham_lzdecompbase.h   
    lzham_lzdecomp.cpp     
    lzham_math.h           
    lzham_mem.cpp          
    lzham_mem.h            
    lzham_platform.cpp     
    lzham_platform.h       
    lzham_prefix_coding.cpp
    lzham_prefix_coding.h  
    lzham_symbol_codec.cpp 
    lzham_symbol_codec.h   
    lzham_timer.cpp        
    lzham_timer.h          
    lzham_traits.h         
    lzham_types.h          
    lzham_utils.h          
    lzham_vector.cpp       
    lzham_vector.h)

# -fno-strict-aliasing is *required* to compile LZHAM
set(GCC_COMPILE_FLAGS "-fno-strict-aliasing -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64")

if (NOT BUILD_X64)
	set(GCC_COMPILE_FLAGS "${GCC_COMPILE_FLAGS} -m32")
endif()

set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} ${GCC_LINK_FLAGS}")

set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${GCC_COMPILE_FLAGS}")
set(CMAKE_C_FLAGS_RELEASE  "${CMAKE_C_FLAGS_RELEASE} ${GCC_COMPILE_FLAGS} -DNDEBUG")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${GCC_COMPILE_FLAGS} -D_DEBUG")

set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COMPILE_FLAGS}")
set(CMAKE_CXX_FLAGS_RELEASE  "${CMAKE_CXX_FLAGS_RELEASE} ${GCC_COMPILE_FLAGS} -DNDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${GCC_COMPILE_FLAGS} -D_DEBUG")

include_directories(
	${PROJECT_SOURCE_DIR}/../lzhamdecomp 
	${PROJECT_SOURCE_DIR}/../include)

#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/bin_linux)

add_library(${PROJECT_NAME} ${SRC_LIST})
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} RUNTIME DESTINATION bin)

=== debian/control ===
Source: p7zip
Section: utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper-compat (= 13), yasm [amd64], yasm [i386]
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://p7zip.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/p7zip.git
Vcs-Browser: https://salsa.debian.org/debian/p7zip

Package: p7zip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Suggests: p7zip-full
Pre-Depends: ${misc:Pre-Depends}
Description: 7zr file archiver with high compression ratio
 p7zip is the Unix command-line port of 7-Zip, a file archiver that
 handles the 7z format which features very high compression ratios.
 .
 p7zip provides:
  - /usr/bin/7zr
    a standalone minimal version of the 7-zip tool that only handles
    7z, LZMA and XZ archives. 7z compression is 30-50% better than ZIP
    compression.
  - /usr/bin/p7zip
    a gzip-like wrapper around 7zr.
 .
 p7zip can be used with popular compression interfaces (such as File
 Roller or Nautilus).
 .
 Another package, p7zip-full, provides 7z and 7za which support more
 compression formats.

Package: p7zip-full
Architecture: any
Depends: p7zip (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Suggests: p7zip-rar
Breaks: p7zip (<< 15.09+dfsg-3~)
Replaces: p7zip (<< 15.09+dfsg-3~)
Pre-Depends: ${misc:Pre-Depends}
Description: 7z and 7za file archivers with high compression ratio
 p7zip is the Unix command-line port of 7-Zip, a file archiver that
 handles the 7z format which features very high compression ratios.
 .
 p7zip-full provides utilities to pack and unpack 7z archives within
 a shell or using a GUI (such as Ark, File Roller or Nautilus).
 .
 Installing p7zip-full allows File Roller to use the very efficient 7z
 compression format for packing and unpacking files and directories.
 Additionally, it provides the 7z and 7za commands.
 .
 List of supported formats:
   - Packing / unpacking: 7z, ZIP, GZIP, BZIP2, XZ and TAR
   - Unpacking only: APM, ARJ, CAB, CHM, CPIO, CramFS, DEB, DMG, FAT,
     HFS, ISO, LZH, LZMA, LZMA2, MBR, MSI, MSLZ, NSIS, NTFS, RAR (only
     if non-free p7zip-rar package is installed), RPM, SquashFS, UDF,
     VHD, WIM, XAR and Z.
 .
 The dependent package, p7zip, provides 7zr, a light version of 7za,
 and p7zip, a gzip-like wrapper around 7zr.

=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS := -v -Smakefile --parallel
stampfile       := debian/build-stamp

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS  := 1

include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
  CXX := $(DEB_HOST_GNU_TYPE)-g++
else
  CC  := gcc
  CXX := g++
endif

%:
	dh ${@}

override_dh_auto_clean:
	# Make sure patches are applied otherwise `make clean' fails
	# on trying to clean the removed Rar directory (see #769520).
	dpkg-source --before-build $(CURDIR)
	dh_auto_clean $(DH_AUTO_OPTIONS)
	rm -rf bin/ $(stampfile)

override_dh_auto_build: $(stampfile)

$(stampfile):
	dh_auto_build $(DH_AUTO_OPTIONS) -- CC=$(CC) CXX=$(CXX) OPTFLAGS= all3
	touch "$@"

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs --link-doc=p7zip -Xcopying.txt -XLicense.txt -Xlicense.htm -Xfm
